





#include "main.h"



#define UART_BAUD_RATE      9600      
#define MyADD 33;


#define StartS()	TCNT1 =0; TIFR1 |= (1<<OCF1A); TIMSK1 |= (1<<OCIE1A) 
#define StopS() TIMSK1 &= ~(1<<OCIE1A);TCNT1 =0

int Rtimeout;
uint8_t Add = MyADD
uint8_t	dataRX[20];
uint16_t error;
uint8_t pos;
uint8_t se;
uint8_t count;
//volatile uint16_t ServoPos = 2000;
volatile uint8_t flag;
uint8_t *schups;
uint16_t test ;


int main (void)
{
	uart_init( UART_BAUD_SELECT(UART_BAUD_RATE,F_CPU) ); 
	DDRB = 0xff;
	TCCR0B |= (1<<CS02)|(1<<CS00);
	TIMSK0 |= (1<<TOIE0);
	
	DDRB = 0xff;

	//TCCR1A |= (1<<COM1A1);					// Clear PB1 on Compare Match 
	TCCR1B |= (1<<CS11);					// Prescaler to 8
	//TIMSK1 |= (1<<OCIE1A);					// Interupt enable Copare match A
	OCR1A = 2000;

	sei();
	for EVER
	{
		
		if (flag & (1<<RxComp))
		{
			cli();
			
			test = ((dataRX[4] << 8) | dataRX[3]);
			OCR1A = test;
			flag &= ~(1<<RxComp);
			sei();
		}
	}

}


ISR( TIMER0_OVF_vect )				
{
	#define kurz 4
	#define lang 80
	static uint16_t runvar=lang;
	TCNT0 = (unsigned char)(signed short)-(F_CPU / 1024 * 10e-3 + 0.5);	// preload for 10ms
	count++;
	if (count & 1)
	{

		StartS();
		PORTB |= (1<<PB1);
	}
	if (Rtimeout!=0)
	{
		Rtimeout--;
	}
	else
	{
		//pos =0;
		//PORTB |=(1<<2);
	}
	runvar --;
	if(runvar== 0 )
	{
		if (PORTB & (1<<3))
		{
			runvar =kurz;
		}
		else
		{
			runvar =lang;
		}
		//PORTB ^= (1<<3);
	}

}

ISR( TIMER1_COMPA_vect )				
{
	StopS();
	PORTB &= ~(1<<PB1);
	//PORTB ^= (1<<PB1);
}
